import create from 'dd-store';
import pageStore from './store';
import { getMeetingRoomAffairs, createMeetingTask, deleteMeetingTask, updateTaskTitle, updateTaskStatus } from '../../api/request';

create.Page({
  store: pageStore,
  data: {
    affairList: null, //store
    show: false, //pop
    pop: {
      title: '',
      type: ''
    }
  },
  onLoad() {
    this.reload();
  },
  //获取动态列表
  reload() {
    // getMeetingRoomAffairs().then(res => {
    //   this.store.data.affairList = res.data.data;
    //   this.update();
    // })
    this.store.data.affairList = [{
      id: 1, content: '大actionList鹏13：:00创建了会议', logType: ''
    },
    {
      id: 2, username: '大鹏', creator: '大鹏', createTime: '13：:00', logType: 'asseory',
      headUrl: '',
      fileInfos: [{
        filename: '打算的你到哪搜点', fileSize: '1201'
      }]
    },
    {
      id: 2, creator: '大鹏', createTime: '13：:00', logType: 'task',
      taskInfos: [
        {
          status: false,
          title: '梳理产品流程图', headUrl: '', username: 'name', userId: '1'
        },
        {
          status: true,
          title: '梳理产品流程图2', headUrl: '', username: 'name2', userId: '2'
        }
      ]
    }
    ];
  },
  showPop(e) {
    this.setData({
      pop: e.target.dataset.pop,
      show: true
    })
  },
  closePop() {
    this.setData({
      show: false
    })
  },
  //修改任务标题
  inputChange(value) {
    console.log(value);
    updateTaskTitle({}).then(res => {
      this.reload();
    })
  },
  //修改任务状态
  CheckChange(value) {
    console.log(value)
    updateTaskStatus({}).then(res => {
      this.reload();
    })
  },
  //创建任务完成
  Complete(data) {
    console.log(data)
    const excutor = this.store.data.excutor;
    console.log(this.store.data)
    createMeetingTask(data).then(res => {
      if (res.data.data.success) {
        this.reload();
        this.closePop();
      }
    })
  },
  deleteTask() {
    deleteMeetingTask({}).then(res => {
      this.reload();
    })
  }
});
